/*-----------------------ADI ADF4157 Driver Test Code-----------------------------------

Author: 		ADI CAST (China Application Support Team)
Date:			2009-09-29
Rev:			V1.0
Description:	Realize ADF4157 DriverUse ADuC7026 as MCUADF4157 EVB as test bpard.
				Development Tool: KEIL C(version 3.22)
				Test program by reading and writing register of ADF4157

---------------------------------------------------------------------------------------------------------*/
#include <ADuC7026.h>
#include "ADF4157_IO.h"

unsigned	char	buf[4] = {0,0,0,0};

void putchar(unsigned char ch)/* Write character to Serial Port  */  
{          
	COMTX = ch;				 //COMTX is an 8-bit transmit register.
    while(!(0x020==(COMSTA0 & 0x020)))
    {;}
}

void ADuC7026_Initiate(void)
{
    //Clock Initial
    POWKEY1 = 0x01;				//Start PLL Setting
    POWCON = 0x00;				//Set PLL Active Mode With CD = 0  CPU CLOCK DIVIDER = 41.78MHz
    POWKEY2 = 0xF4;				//Finish PLL Setting

	GP1CON = 0x011;				  //PIN set up for UART
     


	GP4DAT = GP4DAT | 0x38000000; //Configure the P4.3 pin as output for LE of ADF4157, CS Stall Low
								  //Configure the P4.4 pin as output for SCLK of ADF4157, SCLK Stall Low
								  //Configure the P4.5 pin as output for DATA of ADF4157
   	//UART InitialBaud Rate = 9600								  	
	COMCON0 = 0x080;  
	COMDIV0 = 0x088;    		
	COMDIV1 = 0x000;
	COMCON0 = 0x007; 

}  
int main (void)
{ 
    ADuC7026_Initiate();

/*---------------------------------------------------------------------------
Reference frequency: 10MHz;RF VCO Output frequency: 5800MHz;Prescaler: 8/9;
INT: 580;FRAC: 0;R: 1.
---------------------------------------------------------------------------*/

	buf[3] = 0x00;
	buf[2] = 0x00;
	buf[1] = 0x00;				
 	buf[0] = 0x04;			
	WriteToADF4157(4,buf);		

	buf[3] = 0x00;
	buf[2] = 0x00;				
	buf[1] = 0x00;				
 	buf[0] = 0x43;				//(DB6=1)PD Polarity is positive.
	WriteToADF4157(4,buf);		

	buf[3] = 0x00;				//(DB27-24:00H)Icp is 0.31mA.
	buf[2] = 0x40;				//(DB22=1)precaler is 8/9
	buf[1] = 0x80;				//(DB19-15:01H)R is 1.
 	buf[0] = 0x02;
	WriteToADF4157(4,buf);	

	buf[3] = 0x00;
	buf[2] = 0x00;				//(DB27-15:0H)LSB Fractional Value is 0
	buf[1] = 0x00;				
 	buf[0] = 0x01;				
	WriteToADF4157(4,buf);		

	buf[3] = 0x19;				//(DB30-27:3H)MUXOUT is R divider output
	buf[2] = 0x22;				//(DB24;21;17:set to 1)Int is 580
	buf[1] = 0x00;			   
 	buf[0] = 0x00;			    
	WriteToADF4157(4,buf);	   
							   

/*---------------------------------------------------------------------------
Reference frequency: 10MHz;RF VCO Output frequency: 5800MHz;Prescaler: 8/9;
INT: 580;FRAC: 0;R: 2.
---------------------------------------------------------------------------*/
/*
	buf[3] = 0x00;
	buf[2] = 0x00;
	buf[1] = 0x00;				
 	buf[0] = 0x04;				
	WriteToADF4157(4,buf);		

	buf[3] = 0x00;
	buf[2] = 0x00;				
	buf[1] = 0x00;				
 	buf[0] = 0x43;			     //(DB6=1)PD Polarity is positive.
	WriteToADF4157(4,buf);		

	buf[3] = 0x00;				 //(DB27-24:00H)Icp is 0.31mA.
	buf[2] = 0x41;				 //(DB22=1)precaler is 8/9
	buf[1] = 0x00;				 //(DB19-15:01H)R is 2.
 	buf[0] = 0x02;
	WriteToADF4157(4,buf);	

	buf[3] = 0x00;
	buf[2] = 0x00;				  //(DB27-15:0H)LSB Fractional Value is 0
	buf[1] = 0x00;				
 	buf[0] = 0x01;				
	WriteToADF4157(4,buf);		

	buf[3] = 0x1A;				   //(DB30-27:3H)MUXOUT is R divider output
	buf[2] = 0x44;				   //(DB24;21;17:set to 1)Int is 1160
	buf[1] = 0x00;			  
 	buf[0] = 0x00;			    
	WriteToADF4157(4,buf);	   
							   

*/

	while(1)
    {;}

}

